import request from '@/utils/request'

/**
 * 收款列表
 */
export function getReceiptList(query) {
  return request({
    url: '/order/organize/receipt/list',
    method: 'get',
    params: query
  })
}
/**
 * 收款账号列表
 */
export function getReceiptTypeList(query) {
  return request({
    url: '/order/organize/receipt/type',
    method: 'get',
    params: query
  })
}
/**
 * 付款账号列表
 */
export function getPayTypeList(query) {
  return request({
    url: '/order/organize/pay/type',
    method: 'get',
    params: query
  })
}
/**
 * 收款详情
 */
export function getReceiptDetail(id) {
  return request({
    url: '/order/organize/receipt/detail/' + id,
    method: 'get'
  })
}
/**
 * 付款列表
 */
export function getOrganizePayList(params) {
  return request({
    url: '/order/organize/pay/list',
    method: 'get',
    params: params
  })
}
/**
 * 申请付款列表
 */
export function getPayOrderList(params) {
  return request({
    url: '/order/organize/payOrder/list',
    method: 'get',
    params: params
  })
}
/**
 * 付款详情
 */
export function getPayDetails(id) {
  return request({
    url: '/order/organize/pay/form/' + id,
    method: 'get'
  })
}
/**
 * 付款单初始化详情
 */
export function getApplyPays(data) {
  return request({
    url: '/order/organize/apply/pays',
    method: 'post',
    data: data
  })
}
/**
 * 提交付款申请
 */
export function subPayApply(data) {
  return request({
    url: '/order/organize/pay/apply',
    method: 'post',
    data: data
  })
}
/**
 * 审核付款申请
 */
export function subPayCheck(data) {
  return request({
    url: '/order/organize/pay/check',
    method: 'post',
    data: data
  })
}
/**
 * 取消付款
 */
export function cancelPayApply(id) {
  return request({
    url: '/order/organize/pay/cancel/' + id,
    method: 'get'
  })
}
/**
 * 撤销付款
 */
export function cancelPayBack(id) {
  return request({
    url: '/order/organize/pay/back/' + id,
    method: 'get'
  })
}
/**
 * 订单财富信息列表
 */
export function organizePayInfos(params) {
  return request({
    url: '/order/organize/pay/infos',
    method: 'get',
    params: params
  })
}
/**
 * 订单收付款记录
 */
export function organizeReceiptRecord(id) {
  return request({
    url: `/order/organize/receipt/record/${id.orderId}/${id.shopOrderId}`,
    method: 'get'
  })
}
/**
 * 订单退款退货记录
 */
export function organizeToRecturnRecordByOrderId(id) {
  return request({
    url: `/order/organize/toRecturnRecordByOrderId?orderId=${id.orderId}&shopOrderId=${id.shopOrderId}`,
    method: 'get'
  })
}
/**
 * 订单结算记录
 */
export function organizeSettleRecord(id) {
  return request({
    url: '/order/organize/settle/record/' + id,
    method: 'get'
  })
}
/**
 * 子订单退付款记录
 */
export function organizeReturnAndPay(id) {
  return request({
    url: '/order/cmReturnedPurchase/returnAndPay/' + id,
    method: 'get'
  })
}
/**
 * 申请分账
 */
export function subPaySplit(data) {
  return request({
    url: '/order/organize/pay/split',
    method: 'post',
    data: data
  })
}
/**
 * 申请结算
 */
export function subPaySettle(data) {
  return request({
    url: '/order/organize/pay/settle',
    method: 'post',
    data: data
  })
}
